package com.house365.ws.interfaces.server;

import com.house365.beans.common.Treeable;

import java.util.List;

/**
 * Created by xn on 2016/1/28.
 */
public interface IBaseTreeableService<M extends Treeable>  {

    public List<M> findChildrenListByPath(List<M> parents);
    public List<M> findRootAndChild();
    public M getRoot();
    public List<M> findChildByParentId(int parentId);
    M appendChild(Integer parent, M child) throws Exception;
}
